Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Notifier Class Reference

(Phonon::BackendCapabilities::Notifier)

     #include <Phonon/BackendCapabilities>

Inherits: QObject and QObject.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Signals

void | availableAudioOutputDevicesChanged ()
void | capabilitiesChanged ()

- 2 signals inherited from QObject

### Additional Inherited Members

- 2 properties inherited from QObject
- 58 public functions inherited from QObject
- 2 public slots inherited from QObject
- 14 static public members inherited from QObject
- 16 protected functions inherited from QObject

## Detailed Description

Notifications about backend capabilities.

## Member Function Documentation

### void Notifier::availableAudioOutputDevicesChanged ()`[signal]`

This signal is emitted when audio output devices were plugged or unplugged.

Check BackendCapabilities::availableAudioOutputDevices to get the current list of available devices.

### void Notifier::capabilitiesChanged ()`[signal]`

This signal is emitted if the capabilities have changed. This can happen if the user has requested a backend change.